locked
Missing CRM 2015 Implementation Guide Docs - Supported Web Browsers RRS feed

  • Question

  • I see CRM 2015 is now available for download. There is some CRM 2015 IG documentation, but there is no information on supported clients. I understand that IE8 & IE9 are no longer supported, but the IG docs do have any details on this. Anyone know if there is an official statement on this?

    Also I don't see any downloadable IG documentation, only for CRM 2013 and earlier.

    Friday, November 28, 2014 8:43 AM

Answers

  • Thanks for the KB article.

    I have now found the details in the Implementation Guide. Client requirements used to be in the planning guide (as you would expect), but they have now been scattered into several places in the Admin guide depending on client type (browser, Outlook, tablet). So the web browser requirements are now here: http://technet.microsoft.com/en-us/library/hh699710.aspx. 

    Pity there is no link in the Planning section to the 3 Admin pages for client requirements! That's what cause my confusion.

    • Marked as answer by Caratacus Monday, December 15, 2014 12:49 PM
    Monday, December 15, 2014 12:49 PM

All replies

  • We are in the unusual position that Crm 2015 has been released (available for download), but General Availability has not been announced yet, which is why the release documentation is not complete yet. Unfortunately I don't think we'll get any official statement until General Availability (and no, I don't know when that is yet)

    Microsoft CRM MVP - http://mscrmuk.blogspot.com/ http://www.excitation.co.uk

    Friday, November 28, 2014 10:32 AM
    Moderator
  • The Compatibility List for CRM 2015 has been released, you can find at this url: http://support.microsoft.com/kb/3018360

    Regarding the browser compatibility:

    IE 7,8,9 not compatible
    IE 10,11 compatible
    Google Chrome (latest publicly released version) running on Windows 8.1 or Windows 8, or Windows 7, or Google Nexus 10 tablet
    Mozilla Firefox (latest publicly released version) running on Windows 8.1 or Windows 8, or Windows 7

    Of course Google Chrome or Firefox can release an update that will cause issues with Dynamics CRM (as it happened with the showModalDialog and the lookup issues with Google Chrome V37/38)


    My blog: www.crmanswers.net - Rockstar 365 Profile

    Friday, November 28, 2014 11:19 AM
  • Thanks for the KB article.

    I have now found the details in the Implementation Guide. Client requirements used to be in the planning guide (as you would expect), but they have now been scattered into several places in the Admin guide depending on client type (browser, Outlook, tablet). So the web browser requirements are now here: http://technet.microsoft.com/en-us/library/hh699710.aspx. 

    Pity there is no link in the Planning section to the 3 Admin pages for client requirements! That's what cause my confusion.

    • Marked as answer by Caratacus Monday, December 15, 2014 12:49 PM
    Monday, December 15, 2014 12:49 PM
  • The CRM for Outlook requirements are even more hidden under the Outlook synchronisation topic: http://technet.microsoft.com/en-us/library/dn832129.aspx.
    Monday, December 15, 2014 12:58 PM